curl https://api.stophy.dev/v1/browser \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/browser", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/browser",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"sessions": [
{
"id": "6bd8981c-f2a8-403c-b188-352828c08bc2",
"status": "active",
"createdAt": "2026-11-17T17:50:55.511Z",
"startedAt": "2026-11-17T17:50:55.511Z",
"finishedAt": null,
"timeoutAt": "2026-11-17T17:51:55.511Z",
"lastActivity": "2026-11-17T17:50:55.511Z",
"expiresAt": "2026-11-17T17:55:55.505Z",
"metadata": {
"purpose": "docs-example"
},
"networkPolicyId": null,
"networkPolicyVersion": null,
"extensions": [],
"proxyUsedMb": null,
"browserCredits": null,
"browserCostUsd": null,
"proxyCredits": null,
"proxyCostUsd": null,
"cdpUrl": "<cdpUrl>",
"liveViewUrl": "<liveViewUrl>",
"interactiveLiveViewUrl": "<interactiveLiveViewUrl>",
"streamWebView": true
}
],
"nextCursor": null,
"hasMore": false,
"costUsd": 0,
"creditsUsed": 0,
"requestId": "30c200ad-1f60-49a1-bbd7-19182239a4da"
}
Browser sessions
List sessions
List your browser sessions. Send one request and get JSON back. Examples in cURL, TypeScript and Python. A failed call costs nothing.
GET
/
v1
/
browser
curl https://api.stophy.dev/v1/browser \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/browser", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/browser",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"sessions": [
{
"id": "6bd8981c-f2a8-403c-b188-352828c08bc2",
"status": "active",
"createdAt": "2026-11-17T17:50:55.511Z",
"startedAt": "2026-11-17T17:50:55.511Z",
"finishedAt": null,
"timeoutAt": "2026-11-17T17:51:55.511Z",
"lastActivity": "2026-11-17T17:50:55.511Z",
"expiresAt": "2026-11-17T17:55:55.505Z",
"metadata": {
"purpose": "docs-example"
},
"networkPolicyId": null,
"networkPolicyVersion": null,
"extensions": [],
"proxyUsedMb": null,
"browserCredits": null,
"browserCostUsd": null,
"proxyCredits": null,
"proxyCostUsd": null,
"cdpUrl": "<cdpUrl>",
"liveViewUrl": "<liveViewUrl>",
"interactiveLiveViewUrl": "<interactiveLiveViewUrl>",
"streamWebView": true
}
],
"nextCursor": null,
"hasMore": false,
"costUsd": 0,
"creditsUsed": 0,
"requestId": "30c200ad-1f60-49a1-bbd7-19182239a4da"
}
Price
Free. See Pricing.curl https://api.stophy.dev/v1/browser \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/browser", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/browser",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"sessions": [
{
"id": "6bd8981c-f2a8-403c-b188-352828c08bc2",
"status": "active",
"createdAt": "2026-11-17T17:50:55.511Z",
"startedAt": "2026-11-17T17:50:55.511Z",
"finishedAt": null,
"timeoutAt": "2026-11-17T17:51:55.511Z",
"lastActivity": "2026-11-17T17:50:55.511Z",
"expiresAt": "2026-11-17T17:55:55.505Z",
"metadata": {
"purpose": "docs-example"
},
"networkPolicyId": null,
"networkPolicyVersion": null,
"extensions": [],
"proxyUsedMb": null,
"browserCredits": null,
"browserCostUsd": null,
"proxyCredits": null,
"proxyCostUsd": null,
"cdpUrl": "<cdpUrl>",
"liveViewUrl": "<liveViewUrl>",
"interactiveLiveViewUrl": "<interactiveLiveViewUrl>",
"streamWebView": true
}
],
"nextCursor": null,
"hasMore": false,
"costUsd": 0,
"creditsUsed": 0,
"requestId": "30c200ad-1f60-49a1-bbd7-19182239a4da"
}